ECHO OFF
CLS

IF NOT EXIST TxInstal.EXE GOTO NoDisk1

NumParam.exe %1 %2 %3 %4 %5 %6 %7 %8 %9
IF ErrorLevel 3 GOTO numDiver
IF ErrorLevel 2 GOTO ok
IF ErrorLevel 1 GOTO numDiver
IF ErrorLevel 0 GOTO preIniNH
GOTO numDiver

:ok
IF %1==A GOTO cont1
IF %1==a GOTO cont1
IF %1==B GOTO cont1
IF %1==b GOTO cont1
GOTO error1
:cont1
IF %2==C GOTO cont2
IF %2==c GOTO cont2
IF %2==D GOTO cont2
IF %2==d GOTO cont2
GOTO error2
:cont2

Spazio.exe %2 7500
IF ErrorLevel 7 GOTO nonValid
IF ErrorLevel 6 GOTO noSpazio
IF ErrorLevel 1 GOTO nonValid

%1:
:inizio
%1:TxInstal I Hard %2
IF ErrorLevel 10 GOTO fine
IF ErrorLevel 8 GOTO copia
GOTO inizio

:preIniNH
ChiAtti2.exe
IF ErrorLevel 3 GOTO iniNH
IF ErrorLevel 0 GOTO NumDiver

:floppy
ECHO Per installare il gioco su Hard Disk
ECHO Devi digitare INSTALL d1 d2
ECHO Dove d1 Š il drive sorgente
ECHO e d2 Š il drive destinazione.
ECHO Ad esempio: INSTALL A C
GOTO fine2

:iniNH
TxInstal.exe I NoHard Dummy
IF ErrorLevel 15 GOTO cancel
IF ErrorLevel 10 GOTO fine
IF ErrorLevel 7 GOTO esegNHad
IF ErrorLevel 6 GOTO eseguiNH
GOTO iniNH

:eseguiNH
SimulMcr.exe
IF ErrorLevel 1 GOTO fine2
GOTO iniNH

:esegNHad
Guarda65
IF ErrorLevel 2 GOTO CeSound
IF ErrorLevel 1 GOTO salta1
NewMidiL
:salta1
SimulMcr.exe
IF ErrorLevel 1 GOTO fine2
GOTO iniNH

:copia
GOTO gia1
:cerca1
%1:WriteAt 3 17 Inserire_il_disco_1____ 14 3
%1:WriteAt 3 18 Premere_un_tasto_quando_pronti 14 3 *
:gia1
IF NOT EXIST %1:\1.U GOTO cerca1
%1:WriteAt 3 17 Sto_copiando_il_disco_1 14 3
%1:WriteAt 3 18 ______________________________ 14 3
COPY %1:*.* %2: >NUL
DEL %2:Cancella.Bau >NUL
REN %2:Cancella.Bav Cancella.Bau >NUL
COPY %1:SonoRoot.Exe %2:\SonoRoot.Exe >NUL
%2:
UNU.EXE %2:1.U >NUL
DEL %2:1.U >NUL
:cerca2
WriteAt 3 17 Inserire_il_disco_2____ 14 3
WriteAt 3 18 Premere_un_tasto_quando_pronti 14 3 *
IF NOT EXIST %1:\2.U GOTO cerca2
WriteAt 3 17 Sto_copiando_il_disco_2 14 3
WriteAt 3 18 ______________________________ 14 3
COPY %1:2.U %2: >NUL
UNU.EXE %2:2.U >NUL
DEL %2:2.U >NUL
WriteAt 3 17 Installazione_su_Hard_Disk_terminata 14 3
WriteAt 3 18 Se_in_futuro_vorrai_cambiare_la_configurazione_del_gioco 14 3
WriteAt 3 19 senza_doverlo_reinstallare_da_capo,_usa_INSTALL_senza_parametri. 14 3
WriteAt 3 20 Quando_vuoi_giocare,_digita_AZIONE_e_premi_INVIO. 14 3
WriteAt 3 21 Premere_un_tasto_quando_pronti 14 3 *
Install.Bat

:cancel
COPY Cancella.Bau \Cancella.Bat >NUL
\Cancella.Bat

:error1
ECHO Primo parametro errato
ECHO Deve essere A oppure B NON seguito da :
GOTO fine2

:error2
ECHO Secondo parametro errato
ECHO Deve essere C oppure D NON seguito da :
GOTO fine2

:noSpazio
CLS
ECHO Spazio insufficiente per installare il gioco
ECHO sul disco destinazione
ECHO Servono almeno 7.500 Kb liberi
GOTO fine2

:nonValid
ECHO Drive destinazione non valido
GOTO fine2

:numDiver
ECHO Numero parametri non valido
ECHO Per cambiare configurazione al gioco gi… installato
ECHO Digitare INSTALL senza parametri.
ECHO Per installare il gioco su Hard Disk
ECHO Digitare INSTALL d1 d2.
ECHO Dove d1 Š il drive in cui avete inserito il dischetto ( ad esempio A )
ECHO e d2 Š la lettera identificativa del disco rigido 
ECHO su cui volete installare il gioco ( ad esempio C )
ECHO Esempi:
ECHO  INSTALL A C
ECHO  INSTALL B C
ECHO  INSTALL A D
ECHO  INSTALL
GOTO fine2

:NoDisk1
ECHO Il comando INSTALL pu• essere usato
ECHO solo inserendo il disco 1
ECHO e questo non Š il disco 1
GOTO fine2

:CeSound
ECHO Errore, il driver Sound.com NON deve essere caricato
GOTO fine2

:fine
CLS
:fine2
